Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

From: tom petch <[email-masked]>
Date: Tue, 1 Jun 2021 10:29:29 +0000

From: Gengxuesong (Geng Xuesong) <[email-masked]>
Sent: 01 June 2021 03:10

Hi Tom

Thanks for reviewing the document and giving comments. We will update the document based on your suggestions.

<tp>
Good!  I hope that this first set of comments are straightforward bringing the I-D in line with YANG Guidelines,  I think that they will generate some 100 or so changes and would encourage an update sooner rather than later as fixing them makes it easier for me to see more technical issues (and were it me I would never get them all right first time:-(

I have sent two other e-mail, one about layout, moving the tree diagram to the end, and that may be not so straightforward and then this morning a list of more technical comments on the YANG module which may generate more discussion.  Again, it is a long list and it may become simpler to separate some comments out into separate threads lest they get lost in the nesting but see how it goes.

Tom Petch

Best
Xuesong

-----Original Message-----
From: detnet [mailto:[email-masked]] On Behalf Of t petch
Sent: Friday, May 28, 2021 6:59 PM
To: Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

On 27/05/2021 22:34, Janos Farkas wrote:
> All,
>
> This starts Working Group Last Call on draft-ietf-detnet-yang-12
>
> https://datatracker.ietf.org/doc/draft-ietf-detnet-yang/
>
> The Working Group Last Call ends on June 11th.
>
> Please send your comments to the working group mailing list.

Looking at it from an editorial point of view, there are a significant number of defects which make it 'Not Ready'.

IANA Considerations MUST be present as per YANG Guidelines, RFC8407; no registration, no YANG module

Security Considerations MUST follow the template as per YANG Guidelines

Examples MUST use the addresses reserved for IETF documentation, not those allocated to other organisations.

Requirements Language is out of date - see RFC8174

YANG revision statement must refer to the title i.e. 'RFC XXXX; Determistic Networking (DetNet) YANG Model'

The Information Model is now an RFC

It is unfortunate that RFC9016 is Informationsl - it needs to be a Normative Reference IMO; your AD is probably familiar with this problem as it occurred as recently as last month and will doubtless occur many times again

import yang-types references an obsolete RFC

YANG prefix is cumbersome - I think 'detnet' quite long enough and likely too long - it is a shame that dtn is in use elsewhere

references in the YANG module, RFC, IEEE or ietf-draft etc.,  MUST appear in I-D References and there needs to be a good reason why they are not Normative; I rarely see such a reason.

six authors, one for the AD to reflect on

Acknowledgements
(perhaps not a coincidence:-)

I plan to look at the technical content of the YANG which may, or may not, throw up similar a number of considerations.

Tom Petch

>
> Positive comments, e.g., "I've reviewed this document and believe it is ready for publication", are welcome!
>
> This is useful and important, even from authors.
>
>
>
> Thank you,
>
> János (DetNet Co-Chair & doc Shepherd)
>
>

_______________________________________________
detnet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/detnet

---

From: "Gengxuesong (Geng Xuesong)" <[email-masked]>
Date: Tue, 1 Jun 2021 12:04:34 +0000

Hi Tom,

Thanks for your detailed guidance! 
Sure, I will review all your previous emails and discuss with other authors. We will try to address them together in the next version. If you have any other comments, please feel free to let us know.

Best
Xuesong

-----Original Message-----
From: tom petch [mailto:[email-masked]] 
Sent: Tuesday, June 1, 2021 6:29 PM
To: Gengxuesong (Geng Xuesong) <[email-masked]>; Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Hi Tom

<tp>

Tom Petch

Best
Xuesong

-----Original Message-----
From: detnet [mailto:[email-masked]] On Behalf Of t petch
Sent: Friday, May 28, 2021 6:59 PM
To: Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Acknowledgements

Tom Petch

---

From: Don Fedyk <[email-masked]>
Date: Wed, 2 Jun 2021 18:16:13 +0000

Thanks for the comments Tom. I have collected the comments in the GitHub directory. 
https://github.com/detnet-wg/draft-ietf-detnet-yang/blob/master/TomPetchComments.txt

I numbered the comments - As we start to address them the collective changes will be in this repo. 

I'm starting on the structural comments (first 13).  If anyone else is editing please let me know which number(s) you which to address. 
I will push changes rather frequently over the next few days.

Number 13 is six authors - which I cannot address by myself. If any of the authors would like to be acknowledge a contributor let us know. (The document has spanned several years and I don't know the full history).  

I have a couple specific questions back to Tom which I will ask on a separate thread or as other conditions arise. 

Cheers
Don 

-----Original Message-----
From: detnet <[email-masked]> On Behalf Of tom petch
Sent: Tuesday, June 1, 2021 6:29 AM
To: Gengxuesong (Geng Xuesong) <[email-masked]>; Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Hi Tom

<tp>

Tom Petch

Best
Xuesong

-----Original Message-----
From: detnet [mailto:[email-masked]] On Behalf Of t petch
Sent: Friday, May 28, 2021 6:59 PM
To: Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Acknowledgements

Tom Petch

---

From: Don Fedyk <[email-masked]>
Date: Wed, 2 Jun 2021 18:25:47 +0000

Hi Tom

Could you point to addresses that are for IETF documentation (pointer please?) 

"Examples MUST use the addresses reserved for IETF documentation, not those allocated to other organisations."

Changing the addresses is a royal pain - I did not choose them but I have gotten them inconsistent on several occasions when changes were suggested.
They are in XML/JSON and PowerPoint/SVG sources which then get rolled up. 
I'd like to get the right addresses once and for all. 

Thanks
Don  

-----Original Message-----
From: detnet <[email-masked]> On Behalf Of t petch
Sent: Friday, May 28, 2021 6:59 AM
To: Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Acknowledgements

Tom Petch

---

From: tom petch <[email-masked]>
Date: Thu, 3 Jun 2021 11:57:30 +0000

From: Don Fedyk <[email-masked]>
Sent: 02 June 2021 19:25

Hi Tom

<tp>
It depends on the addresses but they are all specified by RFC and are all in IANA - obvious once you know it!

RFC3849 IPv6
RFC5737 IPv4
RFC6676 multicast
RFC7042 Ethernet (plus 7042bis)
RFC5398 AS
RFC5612 Enterprise Number
Tom Petch

Thanks
Don

-----Original Message-----
From: detnet <[email-masked]> On Behalf Of t petch
Sent: Friday, May 28, 2021 6:59 AM
To: Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Acknowledgements

Tom Petch

---

From: "Gengxuesong (Geng Xuesong)" <[email-masked]>
Date: Mon, 7 Jun 2021 07:32:30 +0000

Hi Tom,

I would like to add some information about history of the document to explain why there are 6 authors listed in the document. (This is based on my memory, please correct me if I remember anything wrong)

Mach, Zhenqiang and I have worked together to give the initial versions of the models when the document was an individual document. After the document is adopted, Yeoncheol, Mach and I have worked on modifying the model. Reshad have given lots of suggestions during the process. Based on the discussions in WG, DetNet YANG model was requested to align with DetNet information model and Don joined us. We started weekly call meetings to discuss the document which have lasted almost 1 year or more. Besides the chairs, Don, Yeoncheol, Reshad and I have attended the call meeting normally. Don and Yeoncheol have contributed a lot at this stage.

I would suggest to maintain the authors list. I would request chairs to give some suggestions about how to shape the authors list if it is necessary.

Best

Xuesong

-----Original Message-----
From: detnet [mailto:[email-masked]] On Behalf Of Don Fedyk
Sent: Thursday, June 3, 2021 2:16 AM
To: tom petch <[email-masked]>; Gengxuesong (Geng Xuesong) <[email-masked]>; Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Cheers

Don

-----Original Message-----

From: detnet <[email-masked]<mailto:[email-masked]>> On Behalf Of tom petch

To: Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>>; Janos Farkas <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>

From: Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>>

Sent: 01 June 2021 03:10

Hi Tom

<tp>

Tom Petch

Best

Xuesong

-----Original Message-----

To: Janos Farkas <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>

Acknowledgements

Tom Petch

detnet mailing list

[email-masked]<mailto:[email-masked]>

detnet mailing list

[email-masked]<mailto:[email-masked]>

detnet mailing list

[email-masked]<mailto:[email-masked]>

---

From: tom petch <[email-masked]>
Date: Mon, 7 Jun 2021 08:33:25 +0000

Sent: 07 June 2021 08:32

Hi Tom,

<tp>
Thank you for the explanation.  As I expect that you know, the rules of the RFC Editor limit authors to five (lest too much of the first page is taken up with boilerplate).  This can be over-ridden by the AD but does have to be so and sometimes the AD needs some convincing.  

So my comment was that it needs addressing, either by getting the AD - I notice that the datatracker does not list an AD! - to agree that more than five is appropriate in this case or by the authors agreeing a reduction.   I note that the YANG module has the same six authors; consistency is good!.

Tom Petch

Best

Xuesong

-----Original Message-----
From: detnet [mailto:[email-masked]] On Behalf Of Don Fedyk
Sent: Thursday, June 3, 2021 2:16 AM
To: tom petch <[email-masked]>; Gengxuesong (Geng Xuesong) <[email-masked]>; Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Cheers

Don

-----Original Message-----

Sent: 01 June 2021 03:10

Hi Tom

<tp>

Tom Petch

Best

Xuesong

-----Original Message-----

Acknowledgements

Tom Petch

detnet mailing list

detnet mailing list

detnet mailing list

---

From: "Gengxuesong (Geng Xuesong)" <[email-masked]>
Date: Tue, 8 Jun 2021 03:53:38 +0000

Hi Tom,

Thanks for your advice! We will contact AD to make sure what we should do about the authors list.

Best
Xuesong

-----Original Message-----
From: tom petch [mailto:[email-masked]] 
Sent: Monday, June 7, 2021 4:33 PM
To: Gengxuesong (Geng Xuesong) <[email-masked]>; Don Fedyk <[email-masked]>; Janos Farkas <[email-masked]>; [email-masked]
Cc: DetNet Chairs <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Hi Tom,

<tp>

Tom Petch

Best

Xuesong

-----Original Message-----
From: detnet [mailto:[email-masked]] On Behalf Of Don Fedyk
Sent: Thursday, June 3, 2021 2:16 AM
To: tom petch <[email-masked]>; Gengxuesong (Geng Xuesong) <[email-masked]>; Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

Cheers

Don

-----Original Message-----

Sent: 01 June 2021 03:10

Hi Tom

<tp>

Tom Petch

Best

Xuesong

-----Original Message-----

Acknowledgements

Tom Petch

detnet mailing list

detnet mailing list

detnet mailing list